Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572626 - The default value of "nfs.addr-namelookup" option is incorrect in the "Supported Volume Options" section of admin guide
Summary: The default value of "nfs.addr-namelookup" option is incorrect in the "Suppo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Chandrakanth Pai
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1503142
TreeView+ depends on / blocked
 
Reported: 2018-04-27 12:52 UTC by Manisha Saini
Modified: 2018-09-10 15:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-10 15:44:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Manisha Saini 2018-04-27 12:52:22 UTC
Document URL: 

http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.3-Administration_Guide-branch-master/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#Configuring_Volume_Options

Section Number and Name: 

-->11.3. Supported Volume Options

Describe the issue: 

Default value of "nfs.addr-namelookup " is mentioned as "ON" in admin guide,which is incorrect.

By default,"nfs.addr-namelookup " option is "OFF" 

This needs to be corrected in admin guide

Suggestions for improvement: 

[root@dhcp41-203 home]# gluster volume set help

-------
Option: nfs.addr-namelookup
Default Value: off
Description: Users have the option of turning on name lookup for incoming client connections using this option. Use this option to turn on name lookups during address-based authentication. Turning this on will enable you to use hostnames in nfs.rpc-auth-* filters. In some setups, the name server can take too long to reply to DNS queries resulting in timeouts of mount requests. By default, name lookup is off

---------

Additional information:

Comment 3 Manisha Saini 2018-08-30 12:46:09 UTC
Changes looks good to me.Moving this BZ to verified state.


Note You need to log in before you can comment on or make changes to this bug.